Endpoint Groups
Schemas
Schemas operations within the Catalogs API group.
List schemasGET
/catalogs/{catalogName}/schemas
Operation ID
listSchemasPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Create schemaPOST
/catalogs/{catalogName}/schemas
Operation ID
createSchemaPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get schemaGET
/catalogs/{catalogName}/schemas/{schemaName}
Operation ID
getSchemaPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
schemaName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update schemaPATCH
/catalogs/{catalogName}/schemas/{schemaName}
Operation ID
updateSchemaPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
schemaName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Delete schemaDELETE
/catalogs/{catalogName}/schemas/{schemaName}
Operation ID
deleteSchemaPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
schemaName |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
force |
boolean |
false |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |